---
title: 'Get page sections'
description: 'This endpoint allows you to fetch page sections'
openapi: GET /api/page_sections
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/page_sections` — query parameters: `websiteId`, `organizationId`, `placement`, `pageId`, `all`, `pageSectionType`

`GET https://admin.snagsolutions.io/api/page_sections`

This endpoint allows you to fetch page sections

## Authentication

No authentication required.

## Query parameters

- `websiteId` (string, required) — Unique identifier for the website to filter by
- `organizationId` (string, required) — Unique identifier for the organization to filter by
- `placement` (string, required) — Placement of the page section
- `pageId` (string) — Unique identifier for the page to filter by
- `all` (string) — Whether to get all sections regardless of duration
- `pageSectionType` (string) — Type of the page section to filter by

## Response 200

200
  - response (object)
    - `id` (string, uuid, required) — Unique identifier for the page section
    - `websiteId` (string, uuid, required) — Unique identifier for the website
    - `organizationId` (string, uuid, required) — Unique identifier for the organization
    - `title` (string) — Title of the page section
    - `pageSectionType` (string, one of: all_items, discovery_item, discovery_items_grid) — Type of the page section
    - `placement` (string, required, one of: global, page) — Placement of the page section
    - `sortId` (number) — Order of the page section
    - `pageId` (string, uuid) — ID of the page this section belongs to
    - `durationStart` (string, date-time, required) — Start time of the page section visibility
    - `durationEnd` (string, date-time) — End time of the page section visibility
    - `banner` (object)
      - `id` (string, uuid, required)
      - `websiteCollectionBanners` (array, required)
        - `items` (object)
          - `id` (string, uuid, required)
      - `carousel` (object)
        - `id` (string, uuid, required)
        - `carouselItems` (array, required)
          - `items` (object)
            - id: … (nested further)
            - sortId: … (nested further)
    - `itemsGrids` (array)
      - `items` (object)
        - `id` (string, uuid, required)
    - `discoveryItems` (array)
      - `items` (object)
        - `id` (string, uuid, required)
        - `title` (string, required)
        - `description` (string)
        - `layout` (string, one of: container_style, full_width_hero)
        - `loyaltySection` (string)
        - `pageMediaLink` (string)
        - `mediaLink` (string)
        - `website` (string)
        - `twitter` (string)
        - `loyaltyRuleGroupId` (string)
        - `sortId` (number)
        - `buttonText` (string)
        - `externalLink` (string)
        - `hideQuestInfo` (boolean, default: false)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
